> This page is for version latest (default).
> For other versions, use one of these documentation indexes:
> - latest (default): https://docs.machanirobotics.dev/latest/llms.txt
> - v2026.01.16-dev: https://docs.machanirobotics.dev/v-2026-01-16-dev/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.machanirobotics.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.machanirobotics.dev/_mcp/server.

# Join Session

POST https://api.machanirobotics.com/v1/conversation/sessions/sessions/{session}:join
Content-Type: application/json

JoinSession allows a user to join an active session.

Use this method to indicate that a user has joined a session
and is participating in the conversation.

Request: JoinSessionRequest (specify session name and username)
Response: JoinSessionResponse (indicates success and session state)

HTTP: POST /v1/conversation/sessions/\{name}/join

Reference: https://docs.machanirobotics.dev/latest/2026-01-16-dev/session-service/joinsession

## Request

### Path parameters

- `session` (string, required) — The session id.

### Body (application/json)

This endpoint expects a JoinSessionRequest.

- `name` (string, required) — name of the user joining the session.
- `session` (string, required) — Session is the session object to join.

## Response

### 200

OK

- `session` (Session, required) — Session is the session object that the user has joined.

## Errors

### 400 Bad Request Error

Bad Request

- `code` (integer, optional) — The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
- `message` (string, optional) — A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
- `details` (list of GoogleProtobufAny, optional) — A list of messages that carry the error details. There is a common set of message types for APIs to use.

## Types

### Session

Session represents a user session within the conversation system. It contains metadata about the session, such as its name, type, owners, allowed users, default channels, options, and timestamps for creation and updates.

- `profile` (string, required) — The profile associated with the session.
- `displayName` (string, required) — display_name is the title of the session.
- `sessionType` (integer, required) — session_type defines the type of the session, such as Public, Private, or Temporary.
- `owners` (list of string, required) — owners contains the list of owners of the session.
- `defaultChannels` (list of integer, required) — default_channels specifies the default channels for the session.
- `name` (string, optional) — name is the resource identifier for the Session. It follows the format "sessions/\{session}" and uniquely identifies a Session resource.
- `description` (string, optional) — description provides a brief overview of the session.
- `sessionId` (string, optional) — The unique identifier for the session, often sourced from a NATS subject or a dedicated ID.
- `allowedUsers` (list of string, optional) — allowed_users contains the list of users allowed in the session.
- `options` (SessionOptions, optional) — options contains various options for the session.
- `secretKey` (string, optional) — secret_key is the secret key for the session.
- `createTime` (datetime, optional) — Output only. The time at which the session was created.
- `updateTime` (datetime, optional) — Output only. The time at which the session was last updated.

### GoogleProtobufAny

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

- `@type` (string, optional) — The type of the serialized message.

### SessionOptions

SessionOptions defines various options for a session. It includes settings such as maximum users, maximum bytes, and whether acknowledgement is required for messages within the session.

- `maxUsers` (integer, optional) — max_users defines the maximum number of users allowed in the session.
- `maxBytes` (integer, optional) — max_bytes defines the maximum bytes allowed for the session.
- `acknowledgement` (boolean, optional) — acknowledgement indicates whether to require acknowledgement for messages.

## Examples

**Request**

```json
{
  "name": "robotics_lab_session",
  "session": "user_john_doe"
}
```

**Response**

```json
{
  "session": {
    "profile": "engineering_team",
    "displayName": "Robotics Lab Collaboration",
    "sessionType": 2,
    "owners": [
      "alice_smith",
      "bob_jones"
    ],
    "defaultChannels": [
      101,
      102
    ],
    "name": "robotics_lab_session",
    "description": "Session for the engineering team to collaborate on robotics projects.",
    "sessionId": "sess-8f14e45fceea167a5a36dedd4bea2543",
    "allowedUsers": [
      "john_doe",
      "carol_white",
      "dave_black"
    ],
    "options": {
      "maxUsers": 50,
      "maxBytes": 10485760,
      "acknowledgement": false
    },
    "secretKey": "a1b2c3d4e5f67890abcdef1234567890",
    "createTime": "2024-01-15T09:30:00Z",
    "updateTime": "2024-04-20T14:45:00Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.machanirobotics.com/v1/conversation/sessions/sessions/session:join"

payload = {
    "name": "robotics_lab_session",
    "session": "user_john_doe"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.machanirobotics.com/v1/conversation/sessions/sessions/session:join';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"name":"robotics_lab_session","session":"user_john_doe"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.machanirobotics.com/v1/conversation/sessions/sessions/session:join"

	payload := strings.NewReader("{\n  \"name\": \"robotics_lab_session\",\n  \"session\": \"user_john_doe\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.machanirobotics.com/v1/conversation/sessions/sessions/session:join")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"robotics_lab_session\",\n  \"session\": \"user_john_doe\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.machanirobotics.com/v1/conversation/sessions/sessions/session:join")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"robotics_lab_session\",\n  \"session\": \"user_john_doe\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.machanirobotics.com/v1/conversation/sessions/sessions/session:join', [
  'body' => '{
  "name": "robotics_lab_session",
  "session": "user_john_doe"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.machanirobotics.com/v1/conversation/sessions/sessions/session:join");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"robotics_lab_session\",\n  \"session\": \"user_john_doe\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "name": "robotics_lab_session",
  "session": "user_john_doe"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.machanirobotics.com/v1/conversation/sessions/sessions/session:join")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```